CVSS(1p)

NAME
cvss - CVSS (Common Vulnerability Scoring System) command line interface

SYNOPSIS
    cvss [OPTIONS]...STRING
    cvss [--help|--man|-v]

    Options:
          --help                    Brief help message
          --man                     Full documentation
          -v                        Print version

          --score                   Base score
          --severity                Base severity

          --base-score
          --base-severity

          --temporal-score
          --temporal-severity

          --environmental-score
          --environmental-severity

          --exploitability-score
          --impact-score
          --modified-impact-score

      -0, --null                    Return NULL char instead of new line

          --format=FORMAT           Output format
          --json                    JSON output format (--format=json)
          --xml                     XML output format (--format=xml)

    Examples:

    Decode the provided CVSS vector string:

        cvss CVSS:3.1/AV:A/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H --json | jq

    Display the base score:

        cvss CVSS:3.1/AV:A/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H --base-score

    Display the base severity:

        cvss CVSS:3.1/AV:A/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H --base-severity

DESCRIPTION
"cvss" CVSS (Common Vulnerability Scoring System) command line interface

EXAMPLES
Decode the provided CVSS vector string and return JSON and send the STDOUT to jq:

    cvss CVSS:3.1/AV:A/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H --json | jq

Display the base score:

    cvss CVSS:3.1/AV:A/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H --base-score

Display the base severity:

    cvss CVSS:3.1/AV:A/AC:L/PR:L/UI:R/S:U/C:H/I:H/A:H --base-severity

AUTHOR
Giuseppe Di Terlizzi <https://metacpan.org/author/gdt>

COPYRIGHT AND LICENSE
Copyright © 2023-2026 Giuseppe Di Terlizzi <https://metacpan.org/author/gdt>

You may use and distribute this module according to the same terms that Perl is distributed under.